
#import "VankeFloorDetailBoardPhoto_iPhone.h"
#import "VankeProjectListAPI.h"


#pragma mark -

@implementation VankeFloorDetailBoardPhoto_iPhone

SUPPORT_AUTOMATIC_LAYOUT( YES );
SUPPORT_RESOURCE_LOADING( YES );

DEF_OUTLET(BeeUIImageView, imgPhoto)
DEF_OUTLET(BeeUILabel, lblName)
DEF_OUTLET(BeeUILabel, lblOpenDate)

- (void)dataDidChanged
{
    ProjectCategory * prj = self.data;
    if ( prj )
    {
        $(self.imgPhoto).DATA([prj getPictureUrlOrDefault]);
        $(self.lblName).DATA(prj.projectName);
        $(self.lblOpenDate).DATA(prj.salesDate);
        
    }
}

ON_CREATE_VIEWS( signal )
{
}

@end
